Subject: FVWM: [2.0p34] Delay when iconifying?

From: "Paul D. Smith" <[email-masked]>
Date: Thu, 2 Nov 95 11:01:31 EST

Whenever I iconify a window I see a very noticable delay (from 2 all the
way up to 7 or 10 seconds) between the time the window disappears and
the time the icon appears.

During that time FVWM is just frozen there and won't accept any input,
no window has focus, etc.  It's really annoying.

I wonder if it might be the delay needed to find/load/setup the pixmap
for the icon?  They're stored on an NFS filesystem that can be slow
sometimes.  If so, I wonder if any thought has been given to caching
pixmaps (I only use about 10 pixmaps) so they don't need to be reloaded
each time?

Or is this delay due to something else?  What is going on between the
time the window disappears and the icon appears?

-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 Senior Software Engineer                                   Bay Networks, Inc.
-----------------------------------------------==<http://www.baynetworks.com/>-
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
     These are my opinions--Bay Networks takes no responsibility for them.
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].